FreeMat

- Main Page
- Related Pages

vtkInterpolatingSubdivisionFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkInterpolatingSubdivisionFilter is an abstract class that defines the protocol for interpolating subdivision surface filters.

To create an instance of class vtkInterpolatingSubdivisionFilter, simply invoke its constructor as follows

      obj = vtkInterpolatingSubdivisionFilter

# Methods

The class vtkInterpolatingSubdivisionFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkInterpolatingSubdivisionFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkInterpolatingSubdivisionFilter = obj.NewInstance ()`
- `vtkInterpolatingSubdivisionFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetNumberOfSubdivisions (int )` - Set/get the number of subdivisions.
- `int = obj.GetNumberOfSubdivisions ()` - Set/get the number of subdivisions.